# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit bash-completion-r1 go-module

DESCRIPTION="Flexible, reusable and concise configuration for Kubernetes"
HOMEPAGE="https://github.com/grafana/tanka"

EGO_SUM=(
  "cloud.google.com/go v0.26.0/go.mod"
  "github.com/BurntSushi/toml v0.3.1/go.mod"
  "github.com/Masterminds/goutils v1.1.1"
  "github.com/Masterminds/goutils v1.1.1/go.mod"
  "github.com/Masterminds/semver v1.5.0"
  "github.com/Masterminds/semver v1.5.0/go.mod"
  "github.com/Masterminds/semver/v3 v3.1.1"
  "github.com/Masterminds/semver/v3 v3.1.1/go.mod"
  "github.com/Masterminds/sprig/v3 v3.2.2"
  "github.com/Masterminds/sprig/v3 v3.2.2/go.mod"
  "github.com/NYTimes/gziphandler v0.0.0-20170623195520-56545f4a5d46/go.mod"
  "github.com/PuerkitoBio/purell v1.1.1/go.mod"
  "github.com/PuerkitoBio/urlesc v0.0.0-20170810143723-de5bf2ad4578/go.mod"
  "github.com/asaskevich/govalidator v0.0.0-20190424111038-f61b66f89f4a/go.mod"
  "github.com/census-instrumentation/opencensus-proto v0.2.1/go.mod"
  "github.com/client9/misspell v0.3.4/go.mod"
  "github.com/creack/pty v1.1.9/go.mod"
  "github.com/davecgh/go-spew v1.1.0/go.mod"
  "github.com/davecgh/go-spew v1.1.1"
  "github.com/davecgh/go-spew v1.1.1/go.mod"
  "github.com/docopt/docopt-go v0.0.0-20180111231733-ee0de3bc6815/go.mod"
  "github.com/elazarl/goproxy v0.0.0-20180725130230-947c36da3153/go.mod"
  "github.com/emicklei/go-restful v0.0.0-20170410110728-ff4f55a20633/go.mod"
  "github.com/envoyproxy/go-control-plane v0.9.1-0.20191026205805-5f8ba28d4473/go.mod"
  "github.com/envoyproxy/protoc-gen-validate v0.1.0/go.mod"
  "github.com/evanphx/json-patch v4.11.0+incompatible/go.mod"
  "github.com/fatih/color v1.9.0/go.mod"
  "github.com/fatih/color v1.13.0"
  "github.com/fatih/color v1.13.0/go.mod"
  "github.com/fatih/structs v1.1.0"
  "github.com/fatih/structs v1.1.0/go.mod"
  "github.com/fsnotify/fsnotify v1.4.7/go.mod"
  "github.com/fsnotify/fsnotify v1.4.9/go.mod"
  "github.com/go-clix/cli v0.2.0"
  "github.com/go-clix/cli v0.2.0/go.mod"
  "github.com/go-logr/logr v0.1.0/go.mod"
  "github.com/go-logr/logr v0.4.0"
  "github.com/go-logr/logr v0.4.0/go.mod"
  "github.com/go-openapi/jsonpointer v0.19.3/go.mod"
  "github.com/go-openapi/jsonreference v0.19.3/go.mod"
  "github.com/go-openapi/swag v0.19.5/go.mod"
  "github.com/gobwas/glob v0.2.3"
  "github.com/gobwas/glob v0.2.3/go.mod"
  "github.com/gogo/protobuf v1.3.2/go.mod"
  "github.com/golang/glog v0.0.0-20160126235308-23def4e6c14b/go.mod"
  "github.com/golang/mock v1.1.1/go.mod"
  "github.com/golang/protobuf v1.2.0/go.mod"
  "github.com/golang/protobuf v1.3.2/go.mod"
  "github.com/golang/protobuf v1.4.0-rc.1/go.mod"
  "github.com/golang/protobuf v1.4.0-rc.1.0.20200221234624-67d41d38c208/go.mod"
  "github.com/golang/protobuf v1.4.0-rc.2/go.mod"
  "github.com/golang/protobuf v1.4.0-rc.4.0.20200313231945-b860323f09d0/go.mod"
  "github.com/golang/protobuf v1.4.0/go.mod"
  "github.com/golang/protobuf v1.4.1/go.mod"
  "github.com/golang/protobuf v1.4.2/go.mod"
  "github.com/golang/protobuf v1.5.0/go.mod"
  "github.com/golang/protobuf v1.5.2/go.mod"
  "github.com/google/go-cmp v0.2.0/go.mod"
  "github.com/google/go-cmp v0.3.0/go.mod"
  "github.com/google/go-cmp v0.3.1/go.mod"
  "github.com/google/go-cmp v0.4.0/go.mod"
  "github.com/google/go-cmp v0.5.5/go.mod"
  "github.com/google/go-cmp v0.5.6"
  "github.com/google/go-cmp v0.5.6/go.mod"
  "github.com/google/go-jsonnet v0.17.0"
  "github.com/google/go-jsonnet v0.17.0/go.mod"
  "github.com/google/gofuzz v1.0.0/go.mod"
  "github.com/google/gofuzz v1.1.0/go.mod"
  "github.com/google/uuid v1.1.1/go.mod"
  "github.com/google/uuid v1.1.2"
  "github.com/google/uuid v1.1.2/go.mod"
  "github.com/googleapis/gnostic v0.5.1/go.mod"
  "github.com/googleapis/gnostic v0.5.5/go.mod"
  "github.com/gorilla/websocket v1.4.2/go.mod"
  "github.com/hashicorp/errwrap v1.0.0"
  "github.com/hashicorp/errwrap v1.0.0/go.mod"
  "github.com/hashicorp/go-multierror v1.0.0"
  "github.com/hashicorp/go-multierror v1.0.0/go.mod"
  "github.com/hpcloud/tail v1.0.0/go.mod"
  "github.com/huandu/xstrings v1.3.1"
  "github.com/huandu/xstrings v1.3.1/go.mod"
  "github.com/imdario/mergo v0.3.11"
  "github.com/imdario/mergo v0.3.11/go.mod"
  "github.com/json-iterator/go v1.1.6/go.mod"
  "github.com/json-iterator/go v1.1.11/go.mod"
  "github.com/karrick/godirwalk v1.16.1"
  "github.com/karrick/godirwalk v1.16.1/go.mod"
  "github.com/kisielk/errcheck v1.5.0/go.mod"
  "github.com/kisielk/gotool v1.0.0/go.mod"
  "github.com/kr/pretty v0.1.0/go.mod"
  "github.com/kr/pretty v0.2.0/go.mod"
  "github.com/kr/pty v1.1.1/go.mod"
  "github.com/kr/text v0.1.0/go.mod"
  "github.com/kr/text v0.2.0"
  "github.com/kr/text v0.2.0/go.mod"
  "github.com/mailru/easyjson v0.0.0-20190614124828-94de47d64c63/go.mod"
  "github.com/mailru/easyjson v0.0.0-20190626092158-b2ccc519800e/go.mod"
  "github.com/mattn/go-colorable v0.1.4/go.mod"
  "github.com/mattn/go-colorable v0.1.9"
  "github.com/mattn/go-colorable v0.1.9/go.mod"
  "github.com/mattn/go-isatty v0.0.8/go.mod"
  "github.com/mattn/go-isatty v0.0.11/go.mod"
  "github.com/mattn/go-isatty v0.0.12/go.mod"
  "github.com/mattn/go-isatty v0.0.14"
  "github.com/mattn/go-isatty v0.0.14/go.mod"
  "github.com/mitchellh/copystructure v1.0.0"
  "github.com/mitchellh/copystructure v1.0.0/go.mod"
  "github.com/mitchellh/mapstructure v1.1.2/go.mod"
  "github.com/mitchellh/reflectwalk v1.0.0"
  "github.com/mitchellh/reflectwalk v1.0.0/go.mod"
  "github.com/moby/spdystream v0.2.0/go.mod"
  "github.com/modern-go/concurrent v0.0.0-20180228061459-e0a39a4cb421/go.mod"
  "github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd/go.mod"
  "github.com/modern-go/reflect2 v0.0.0-20180701023420-4b7aa43c6742/go.mod"
  "github.com/modern-go/reflect2 v1.0.1/go.mod"
  "github.com/munnerz/goautoneg v0.0.0-20120707110453-a547fc61f48d/go.mod"
  "github.com/mxk/go-flowrate v0.0.0-20140419014527-cca7078d478f/go.mod"
  "github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e"
  "github.com/niemeyer/pretty v0.0.0-20200227124842-a10e7caefd8e/go.mod"
  "github.com/nxadm/tail v1.4.4/go.mod"
  "github.com/onsi/ginkgo v0.0.0-20170829012221-11459a886d9c/go.mod"
  "github.com/onsi/ginkgo v1.6.0/go.mod"
  "github.com/onsi/ginkgo v1.12.1/go.mod"
  "github.com/onsi/ginkgo v1.14.0/go.mod"
  "github.com/onsi/gomega v0.0.0-20170829124025-dcabb60a477c/go.mod"
  "github.com/onsi/gomega v1.7.1/go.mod"
  "github.com/onsi/gomega v1.10.1/go.mod"
  "github.com/pkg/errors v0.9.1"
  "github.com/pkg/errors v0.9.1/go.mod"
  "github.com/pmezard/go-difflib v1.0.0"
  "github.com/pmezard/go-difflib v1.0.0/go.mod"
  "github.com/posener/complete v1.2.3"
  "github.com/posener/complete v1.2.3/go.mod"
  "github.com/prometheus/client_model v0.0.0-20190812154241-14fe0d1b01d4/go.mod"
  "github.com/sergi/go-diff v1.1.0"
  "github.com/sergi/go-diff v1.1.0/go.mod"
  "github.com/shopspring/decimal v1.2.0"
  "github.com/shopspring/decimal v1.2.0/go.mod"
  "github.com/spf13/cast v1.3.1"
  "github.com/spf13/cast v1.3.1/go.mod"
  "github.com/spf13/pflag v0.0.0-20170130214245-9ff6c6923cff/go.mod"
  "github.com/spf13/pflag v1.0.5"
  "github.com/spf13/pflag v1.0.5/go.mod"
  "github.com/stoewer/go-strcase v1.2.0/go.mod"
  "github.com/stretchr/objx v0.1.0/go.mod"
  "github.com/stretchr/objx v0.3.0"
  "github.com/stretchr/objx v0.3.0/go.mod"
  "github.com/stretchr/testify v1.2.2/go.mod"
  "github.com/stretchr/testify v1.3.0/go.mod"
  "github.com/stretchr/testify v1.4.0/go.mod"
  "github.com/stretchr/testify v1.5.1/go.mod"
  "github.com/stretchr/testify v1.7.0"
  "github.com/stretchr/testify v1.7.0/go.mod"
  "github.com/thoas/go-funk v0.9.1"
  "github.com/thoas/go-funk v0.9.1/go.mod"
  "github.com/yuin/goldmark v1.1.27/go.mod"
  "github.com/yuin/goldmark v1.2.1/go.mod"
  "golang.org/x/crypto v0.0.0-20190308221718-c2843e01d9a2/go.mod"
  "golang.org/x/crypto v0.0.0-20191011191535-87dc89f01550/go.mod"
  "golang.org/x/crypto v0.0.0-20200414173820-0848c9571904/go.mod"
  "golang.org/x/crypto v0.0.0-20200622213623-75b288015ac9/go.mod"
  "golang.org/x/crypto v0.0.0-20210921155107-089bfa567519"
  "golang.org/x/crypto v0.0.0-20210921155107-089bfa567519/go.mod"
  "golang.org/x/exp v0.0.0-20190121172915-509febef88a4/go.mod"
  "golang.org/x/lint v0.0.0-20181026193005-c67002cb31c3/go.mod"
  "golang.org/x/lint v0.0.0-20190227174305-5b3e6a55c961/go.mod"
  "golang.org/x/lint v0.0.0-20190313153728-d0100b6bd8b3/go.mod"
  "golang.org/x/mod v0.2.0/go.mod"
  "golang.org/x/mod v0.3.0/go.mod"
  "golang.org/x/net v0.0.0-20180724234803-3673e40ba225/go.mod"
  "golang.org/x/net v0.0.0-20180826012351-8a410e7b638d/go.mod"
  "golang.org/x/net v0.0.0-20180906233101-161cd47e91fd/go.mod"
  "golang.org/x/net v0.0.0-20190213061140-3a22650c66bd/go.mod"
  "golang.org/x/net v0.0.0-20190311183353-d8887717615a/go.mod"
  "golang.org/x/net v0.0.0-20190404232315-eb5bcb51f2a3/go.mod"
  "golang.org/x/net v0.0.0-20190620200207-3b0461eec859/go.mod"
  "golang.org/x/net v0.0.0-20190827160401-ba9fcec4b297/go.mod"
  "golang.org/x/net v0.0.0-20200226121028-0de0cce0169b/go.mod"
  "golang.org/x/net v0.0.0-20200324143707-d3edc9973b7e/go.mod"
  "golang.org/x/net v0.0.0-20200520004742-59133d7f0dd7/go.mod"
  "golang.org/x/net v0.0.0-20201021035429-f5854403a974/go.mod"
  "golang.org/x/net v0.0.0-20210226172049-e18ecbb05110/go.mod"
  "golang.org/x/net v0.0.0-20210520170846-37e1c6afe023/go.mod"
  "golang.org/x/oauth2 v0.0.0-20180821212333-d2e6202438be/go.mod"
  "golang.org/x/sync v0.0.0-20180314180146-1d60e4601c6f/go.mod"
  "golang.org/x/sync v0.0.0-20181108010431-42b317875d0f/go.mod"
  "golang.org/x/sync v0.0.0-20190423024810-112230192c58/go.mod"
  "golang.org/x/sync v0.0.0-20190911185100-cd5d95a43a6e/go.mod"
  "golang.org/x/sync v0.0.0-20201020160332-67f06af15bc9/go.mod"
  "golang.org/x/sys v0.0.0-20180830151530-49385e6e1522/go.mod"
  "golang.org/x/sys v0.0.0-20180909124046-d0be0721c37e/go.mod"
  "golang.org/x/sys v0.0.0-20190215142949-d0b11bdaac8a/go.mod"
  "golang.org/x/sys v0.0.0-20190222072716-a9d3bda3a223/go.mod"
  "golang.org/x/sys v0.0.0-20190412213103-97732733099d/go.mod"
  "golang.org/x/sys v0.0.0-20190904154756-749cb33beabd/go.mod"
  "golang.org/x/sys v0.0.0-20191005200804-aed5e4c7ecf9/go.mod"
  "golang.org/x/sys v0.0.0-20191026070338-33540a1f6037/go.mod"
  "golang.org/x/sys v0.0.0-20191120155948-bd437916bb0e/go.mod"
  "golang.org/x/sys v0.0.0-20200116001909-b77594299b42/go.mod"
  "golang.org/x/sys v0.0.0-20200223170610-d5e6a3e2c0ae/go.mod"
  "golang.org/x/sys v0.0.0-20200323222414-85ca7c5b95cd/go.mod"
  "golang.org/x/sys v0.0.0-20200519105757-fe76b779f299/go.mod"
  "golang.org/x/sys v0.0.0-20200930185726-fdedc70b468f/go.mod"
  "golang.org/x/sys v0.0.0-20201119102817-f84b799fce68/go.mod"
  "golang.org/x/sys v0.0.0-20210423082822-04245dca01da/go.mod"
  "golang.org/x/sys v0.0.0-20210615035016-665e8c7367d1/go.mod"
  "golang.org/x/sys v0.0.0-20210616094352-59db8d763f22/go.mod"
  "golang.org/x/sys v0.0.0-20210630005230-0f9fa26af87c"
  "golang.org/x/sys v0.0.0-20210630005230-0f9fa26af87c/go.mod"
  "golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1"
  "golang.org/x/term v0.0.0-20201126162022-7de9c90e9dd1/go.mod"
  "golang.org/x/text v0.3.0/go.mod"
  "golang.org/x/text v0.3.2/go.mod"
  "golang.org/x/text v0.3.3/go.mod"
  "golang.org/x/text v0.3.6/go.mod"
  "golang.org/x/tools v0.0.0-20180917221912-90fa682c2a6e/go.mod"
  "golang.org/x/tools v0.0.0-20190114222345-bf090417da8b/go.mod"
  "golang.org/x/tools v0.0.0-20190226205152-f727befe758c/go.mod"
  "golang.org/x/tools v0.0.0-20190311212946-11955173bddd/go.mod"
  "golang.org/x/tools v0.0.0-20190524140312-2c0ae7006135/go.mod"
  "golang.org/x/tools v0.0.0-20191119224855-298f0cb1881e/go.mod"
  "golang.org/x/tools v0.0.0-20200619180055-7c47624df98f/go.mod"
  "golang.org/x/tools v0.0.0-20210106214847-113979e3529a/go.mod"
  "golang.org/x/xerrors v0.0.0-20190717185122-a985d3407aa7/go.mod"
  "golang.org/x/xerrors v0.0.0-20191011141410-1b5146add898/go.mod"
  "golang.org/x/xerrors v0.0.0-20191204190536-9bdfabe68543/go.mod"
  "golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1"
  "golang.org/x/xerrors v0.0.0-20200804184101-5ec99f83aff1/go.mod"
  "google.golang.org/appengine v1.1.0/go.mod"
  "google.golang.org/appengine v1.4.0/go.mod"
  "google.golang.org/genproto v0.0.0-20180817151627-c66870c02cf8/go.mod"
  "google.golang.org/genproto v0.0.0-20190819201941-24fa4b261c55/go.mod"
  "google.golang.org/genproto v0.0.0-20200526211855-cb27e3aa2013/go.mod"
  "google.golang.org/genproto v0.0.0-20201019141844-1ed22bb0c154/go.mod"
  "google.golang.org/grpc v1.19.0/go.mod"
  "google.golang.org/grpc v1.23.0/go.mod"
  "google.golang.org/grpc v1.27.0/go.mod"
  "google.golang.org/protobuf v0.0.0-20200109180630-ec00e32a8dfd/go.mod"
  "google.golang.org/protobuf v0.0.0-20200221191635-4d8936d0db64/go.mod"
  "google.golang.org/protobuf v0.0.0-20200228230310-ab0ca4ff8a60/go.mod"
  "google.golang.org/protobuf v1.20.1-0.20200309200217-e05f789c0967/go.mod"
  "google.golang.org/protobuf v1.21.0/go.mod"
  "google.golang.org/protobuf v1.22.0/go.mod"
  "google.golang.org/protobuf v1.23.0/go.mod"
  "google.golang.org/protobuf v1.23.1-0.20200526195155-81db48ad09cc/go.mod"
  "google.golang.org/protobuf v1.24.0/go.mod"
  "google.golang.org/protobuf v1.26.0-rc.1/go.mod"
  "google.golang.org/protobuf v1.26.0/go.mod"
  "gopkg.in/check.v1 v0.0.0-20161208181325-20d25e280405/go.mod"
  "gopkg.in/check.v1 v1.0.0-20180628173108-788fd7840127/go.mod"
  "gopkg.in/check.v1 v1.0.0-20190902080502-41f04d3bba15/go.mod"
  "gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f"
  "gopkg.in/check.v1 v1.0.0-20200227125254-8fa46927fb4f/go.mod"
  "gopkg.in/fsnotify.v1 v1.4.7/go.mod"
  "gopkg.in/inf.v0 v0.9.1/go.mod"
  "gopkg.in/tomb.v1 v1.0.0-20141024135613-dd632973f1e7/go.mod"
  "gopkg.in/yaml.v2 v2.2.1/go.mod"
  "gopkg.in/yaml.v2 v2.2.2/go.mod"
  "gopkg.in/yaml.v2 v2.2.4/go.mod"
  "gopkg.in/yaml.v2 v2.2.8/go.mod"
  "gopkg.in/yaml.v2 v2.3.0/go.mod"
  "gopkg.in/yaml.v2 v2.4.0"
  "gopkg.in/yaml.v2 v2.4.0/go.mod"
  "gopkg.in/yaml.v3 v3.0.0-20200313102051-9f266ea9e77c/go.mod"
  "gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776/go.mod"
  "gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b"
  "gopkg.in/yaml.v3 v3.0.0-20210107192922-496545a6307b/go.mod"
  "honnef.co/go/tools v0.0.0-20190102054323-c2f93a96b099/go.mod"
  "honnef.co/go/tools v0.0.0-20190523083050-ea95bdfd59fc/go.mod"
  "k8s.io/apimachinery v0.22.2"
  "k8s.io/apimachinery v0.22.2/go.mod"
  "k8s.io/gengo v0.0.0-20200413195148-3a45101e95ac/go.mod"
  "k8s.io/klog/v2 v2.0.0/go.mod"
  "k8s.io/klog/v2 v2.9.0"
  "k8s.io/klog/v2 v2.9.0/go.mod"
  "k8s.io/kube-openapi v0.0.0-20210421082810-95288971da7e/go.mod"
  "sigs.k8s.io/structured-merge-diff/v4 v4.0.2/go.mod"
  "sigs.k8s.io/structured-merge-diff/v4 v4.1.2/go.mod"
  "sigs.k8s.io/yaml v1.2.0/go.mod"
  "sigs.k8s.io/yaml v1.3.0"
  "sigs.k8s.io/yaml v1.3.0/go.mod"
)
go-module_set_globals
SRC_URI="https://github.com/grafana/tanka/archive/v${PV}.tar.gz -> ${P}.tar.gz
	${EGO_SUM_SRC_URI}"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"

src_install() {
	default

	dobin ${HOME}/go/bin/tk
}
